wxRuby Documentation Home

# Wx::BusyInfo

This class makes it easy to tell your user that the program is
temporarily busy. Just call the class method ‘busy’ and run the code
that your program is busy with within a block. A small window with an
informational message will be displayed on top of the application

For example:

Wx::BusyInfo.busy(“Please wait, working…”) do

1. do some lengthy operation
2. …
   end

## Derived from

None

## See also

BusyCursor, WindowDisabler

## Class Methods

- BusyInfo.busy

### BusyInfo.busy

BusyInfo.new(%(arg-type)String% msg, Window parent = nil) { … }

Displays a busy info window as child of parent and displays msg
in it, while running the block. When the block’s execution is completed,
the busy info window is removed from the display.

NB: If parent is not `nil` you must ensure that it is not
closed while the busy info is shown.

[This page automatically generated from the Textile source at 2023-06-09 00:45:30 +0000]